import request from '@/utils/request';
import { download } from '@/utils/file';
/**
 * 获取列表
 */
export async function getSendConfirmTableList(params) {
  const res = await request.get(`/eom/saleordersendconfirm/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 获取信息详情
 */
export async function getSendSaleOrderConfirmDetail(id) {
  const res = await request.get(`/eom/saleordersendconfirm/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 更新信息
 */
export async function UpdateSendConfirmInformation(data) {
  const res = await request.put(`/eom/saleordersendconfirm/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 新增信息
 */
export async function addSendConfirmInformation(data) {
  const res = await request.post(`/eom/saleordersendconfirm/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除
 */
export async function deleteSendConfirmInformation(data) {
  const res = await request.delete('/eom/saleordersendconfirm/delete', { data });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
